Package com.spec.web.expresso.message
Interface Request
-
Method Summary
Modifier and TypeMethodDescriptionbody()Returns the body(payload) of the Http requestjakarta.servlet.http.Cookie[]Returns list of cookies sent by the clientReturns the value of header for the specified header name.getMimeType(String fileName) Returns the mime type of file passed to it.Returns a reader object to read request body.Retrives the path of the current request url.getRouteParams(String name) Get the route parameter value against the given name.getUrlParams(String name) Return the query/search parameter value against the name
-
Method Details
-
body
Returns the body(payload) of the Http request- Returns:
- The body of the request
- Throws:
IOException- May throw and IOException if it cannot read the body of response.
-
getRouteParams
-
getUrlParams
-
getRequestPath
String getRequestPath()Retrives the path of the current request url.- Returns:
- the path of the current request
-
getMimeType
-
getCookies
jakarta.servlet.http.Cookie[] getCookies()Returns list of cookies sent by the client- Returns:
- List of cookies
-
getReader
Returns a reader object to read request body.- Returns:
- Reader instance to read request body.
- Throws:
IOException- IOException
-
getHeader
-